""" postgreSQL User Folder """

__version__ = "$Revision"
# $Source: /home/vladap/src/mysqlUserFolder/RCS/__init__.py,v $
#
# $Author: vladap $
# $Date: 2003/01/20 21:03:23 $

from Globals import DTMLFile
from ImageFile import ImageFile

import pgUserFolder, passwords

# --------------------------------------------------------------------- */
# Initialize

def initialize (context):
    try:
        context.registerClass(
            pgUserFolder.pgUserFolder,
            meta_type='PostgreSQL User Folder',
            constructors = (
                manage_add_pgUserFolder_form,
                pgUserFolder.manage_add_pgUserFolder
            )
        )            
    
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write (
        	string.join (traceback.format_exception (type, val, tb), ''))
        del type, val, tb

# --------------------------------------------------------------------- */
# Product data

manage_add_pgUserFolder_form = DTMLFile (
	'dtml/m_Properties', globals (), 
	mchange = 0, password_types = passwords.PASSWD_ENC_LIST [:], 
	realm = '*', use_cookies = 0, use_sessions = 0,
    DSN = '', dbtype = 'postgres',
	anon_create_role = '', anon_create_ok = 0,
	dtml_user_dir = "dtml.user",
	cookie_domain='', cookie_path='/',
	cookie_use_realm = 0,
    pg_port = 5432, pg_user = 'pgUserFolder', pg_password = '',
    disable_ports = [],
	default_password_type = 0)

misc_ = {
	'folder_icon': ImageFile ('icons/folder_icon.gif', globals ()),
	'user_icon': ImageFile ('icons/user_icon.gif', globals ())
}
		
		
		
